- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
ontap.executeOntapPost dispatches the ONTAP POST request to the StoragePool cluster.
HTTP request
POST https://netapp.googleapis.com/v1/{ontapPath=projects/*/locations/*/storagePools/*/ontap/**}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
ontapPath |
Required. The resource path of the ONTAP resource. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "body": { object } } |
| Fields | |
|---|---|
body |
Required. The raw |
Response body
Response message for ontap.executeOntapPost API.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "body": { object } } |
| Fields | |
|---|---|
body |
The raw |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the ontapPath resource:
netapp.ontap.post
For more information, see the IAM documentation.